Bug 8166 - Adding new currencies & exchange rates if not fill any field it save blank record
Summary: Adding new currencies & exchange rates if not fill any field it save blank re...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P1 - high minor (vote)
Target Milestone: ---
Assignee: Amit Gupta
QA Contact: Ian Walls
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-30 06:53 UTC by Amit Gupta
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Adding new currencies & exchange rates if not fill any field it save blank record (1.16 KB, patch)
2012-05-30 07:07 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 8166 - Adding new currencies & exchange rates (1.27 KB, patch)
2012-06-09 20:03 UTC, Jared Camins-Esakov
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2012-05-30 06:53:46 UTC
While adding new currencies & exchange rates if we not fill any field for ex: currency, rate etc

One dialog is coming and say

Form not submitted because of the following problem(s)
------------------------------------------------------------------------------------
- Currency name missing
- Rate missing
- Symbol missing

if we click OK it save a blank record with exchange rate 0.
Comment 1 Amit Gupta 2012-05-30 07:07:38 UTC Comment hidden (obsolete)
Comment 2 Jared Camins-Esakov 2012-06-09 20:03:10 UTC
Created attachment 10055 [details] [review]
Bug 8166 - Adding new currencies & exchange rates

if not fill any field it save blank record

To Test:
1) Go to Currencies & Exchange rates.
2) Create New currency
3) If you not fill any field for ex: (Currency, rate, symbol)
   it will not save the record.

Signed-off-by: Jared Camins-Esakov <jcamins@cpbibliography.com>
Comment 3 Paul Poulain 2012-06-10 11:58:10 UTC
QA comment: tiny patch, passed QA
Comment 4 Chris Cormack 2012-06-14 06:46:14 UTC
Pushed to 3.8.x, will be in 3.8.2